<?php
require_once 'database.php';
$db = new DB();

$email = "";
$meldung = "";

if(isset($_GET['email'])) {
    $email = $_GET['email'];
}

if(isset($_POST['austragen'])) {
    $email = $_POST['email'];

    if($db->checkEmailExists($email)) {
        if($db->unsubscribeFromNewsletter($email)) {
            $meldung = "Die E-Mail-Adresse wurde erfolgreich aus dem Newsletter entfernt!";
        } else {
            $meldung = "Leider gab es Probleme beim Austragen aus dem Newsletter. Wende Dich bitte direkt per Mail an uns oder versuche es später erneut!";
        }
    } else {
        $meldung = "Die E-Mail-Adresse ist nicht im Newsletter eingetragen!";
    }

}
?>

<html>
<head>
    <title>Newsletter abbestellen</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<div id="wrapper" class="shadow">
    <h1>Newsletter abbestellen</h1>
    <?php echo $meldung; ?>
    <form action="unsubscribe.php" method="POST">
        <table border="0">
            <tr>
                <td>E-Mail:</td>
                <td><input type="email" name="email" value="<?php echo $email; ?>" required /></td>
            </tr>
            <tr>
                <td colspan="2"><input type="submit" value="Austragen" name="austragen" /></td>
            </tr>
        </table>
    </form>
</div>
</body>
</html>